<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<?php

		// Display any messaages

		if (isset($_GET['import_message']) && $_GET['import_message'] != '') {

			$status = isset($_GET['status']) ? $_GET['status'] : 'warning';

			?>
			<div class="alert alert-<?php echo $status; ?> alert-dismissible" role="alert">
				<button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<?php echo $_GET['import_message']; ?>
			</div>
			<?php

		}?>

		<h1 id="nnr-heading"><?php _e('Import / Export', self::$text_domain); ?></h1>

		<!-- Export Data -->

		<div class="form-horizontal">
			<div class="form-group">
				<label class="col-sm-3 control-label"><?php _e('Export Data', self::$text_domain); ?></label>
				<div class="col-sm-9">
					<textarea class="form-control <?php echo self::$prefix_dash; ?>export-data" rows="1" readonly ><?php echo json_encode($export_data); ?></textarea>
				</div>
			</div>
		</div>

		<!-- Directions -->

		<div class="form-horizontal">
			<div class="form-group">
				<label class="col-sm-3 control-label"><?php _e('Directions', self::$text_domain); ?></label>
				<div class="col-sm-9">
					<p class="form-control-static"><?php _e('The Import / Export page allows you to easily copy data from one site to another.  Please follow the instructions below to properly import and export your data.', self::$text_domain); ?></p>
					<ol>
						<li><?php _e('Copy the text in the Export Data text box above.', self::$text_domain); ?></li>
						<li><?php _e('Paste the data into the Import Data text box on the site you want to import data to.', self::$text_domain); ?></li>
						<li><?php _e('Click the Review Import button at the bottom.', self::$text_domain); ?></li>
						<li><?php _e('Confirm the import by clicking the Import Data button.', self::$text_domain); ?></li>
					</ol>
					<em class="help-block"><?php _e('The primary use for this feature is to import data into ' . WPSITE_POPUP_ITEM_NAME . ' or another installation of ' . WPSITE_POPUP_ITEM_NAME . '. Importing data from any other plugin will only transfer opt-in names and a few other data points. All other option values will be set to default values. If you have any questions, please open a thread on the', self::$text_domain); ?> <a href="https://99robots.com/support/" target="_blank"><?php _e('support forum.', self::$text_domain); ?></a></em>
				</div>
			</div>
		</div>

		<form method="post">

			<!-- Import Data -->

			<div class="form-horizontal">
				<div class="form-group">
					<label class="col-sm-3 control-label"><?php _e('Import Data', self::$text_domain); ?></label>
					<div class="col-sm-9">
						<textarea name="<?php echo self::$prefix_dash; ?>import-data" class="form-control <?php echo self::$prefix_dash; ?>import-data" rows="3"></textarea>
					</div>
				</div>
			</div>

			<div class="form-horizontal">
				<div class="form-group">
					<label class="col-sm-3 control-label"></label>
					<div class="col-sm-9">
						<button class="btn btn-info <?php echo self::$prefix_dash; ?>import-export" type="button" data-toggle="modal" data-target="#<?php echo self::$prefix_dash; ?>import-export-modal"><?php _e('Review Import', self::$text_domain); ?></button>
					</div>
				</div>
			</div>

			<div class="modal fade" id="<?php echo self::$prefix_dash; ?>import-export-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
				<div class="modal-dialog" role="document" style="width: 500px;">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
							<h4 class="modal-title" id="myModalLabel"><?php _e('Import Data', self::$text_domain); ?></h4>
						</div>
						<div class="modal-body">
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('Close', self::$text_domain); ?></button>
							<button class="btn btn-info" type="submit" name="submit"><i class="fa fa-upload" style="padding-right: 10px;"></i><?php _e('Import Data', self::$text_domain); ?></button>
						</div>
					</div>
				</div>
			</div>

			<?php wp_nonce_field(self::$prefix . 'import_export'); ?>

		</form>

	</div>

	<?php require_once('footer.php'); ?>

</div>