/**
 *
 * Created by Kyle Benk
 *
 */

jQuery(document).ready(function($) {

	var popup_displayed = false;

    /* Set off Popup */

    if (typeof(wps_pf_data) != "undefined" && wps_pf_data !== null) {

		// Preview

	    if (wps_pf_data.preview) {

		   displayPopup('preview');

	    }

	    // Timer

	    else if (wps_pf_data.trigger_type == 'timer') {
			$(function() {

				var popup_timer = setInterval(function() {
		           	displayPopup(wps_pf_data.trigger_type);
		            clearInterval(popup_timer);
		        }, wps_pf_data.timer);

		    });
	    }

	    // Exit Intent

	    else if (wps_pf_data.trigger_type == 'exit') {

		    var _html = document.documentElement;

		    _html.addEventListener('mouseleave', function(e) {

				displayPopup(wps_pf_data.trigger_type);
		    });

			_html.addEventListener('keydown', function(e) {

				if (!e.metaKey || e.keyCode !== 76) {
					return;
				}

				displayPopup(wps_pf_data.trigger_type);
			});
	    }

	    // Scroll

	    else if (wps_pf_data.trigger_type == 'scroll') {

		    $(window).scroll(function (event) {
			    var height = $(document).height();
				var scroll = $(window).scrollTop() + $(window).height();

				if (parseInt((scroll / height) * 100) >= wps_pf_data.scroll) {

					displayPopup(wps_pf_data.trigger_type);

				}
			});
	    }

	    else if (wps_pf_data.trigger_type == 'button') {

			// Custom Button

		    $('.' + wps_pf_data.prefix_dash + 'custom-button-' + $('#' + wps_pf_data.prefix_dash + 'popup-id').attr('data-popup-id')).click(function(event){
			    displayPopup('button');
			});
		}
    }

	// Close Popup after clicking close button

	$('.' + wps_pf_data.prefix_dash + 'close').click(function() {

	    if (wps_pf_data.dont_show_again) {

			var data = {
				'action': 'wps_pf_set_close_cookie',
				'popup_id': $('#' + wps_pf_data.prefix_dash + 'popup-id').attr('data-popup-id')
			};
			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			$.post(wps_pf_data.ajaxurl, data, function(response) {
				console.log(response);
			});
	    }

	    $('.' + wps_pf_data.prefix_dash + 'wrap').bPopup().close();
	    $('.' + wps_pf_data.prefix_dash + 'video-container iframe').attr('src', $('iframe').attr('src'));
	});

	// Close if user clicks outside of popup

	$('.' + wps_pf_data.prefix_dash + 'wrap').click(function(e){
		if ($('.' + wps_pf_data.prefix_dash + 'wrap').is(e.target)) {
			$('.' + wps_pf_data.prefix_dash + 'wrap').bPopup().close();
			$('.' + wps_pf_data.prefix_dash + 'video-container iframe').attr('src', $('iframe').attr('src'));
		}
	});

    // Track links being clicked

	$('.' + wps_pf_data.prefix_dash + 'container').click(function(event){

		// Link was clicked

		if ($(event.target).closest('a').length){

			var data = {
				'action': 'wps_pf_record_click',
				'popup_id': $('#' + wps_pf_data.prefix_dash + 'popup-id').attr('data-popup-id')
			};
			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			$.post(wps_pf_data.ajaxurl, data, function(response) {
				console.log(response);
			});

		}
	});

	// Newsletter

	$('#' + wps_pf_data.prefix_dash + 'newsletter').submit(function(event){

	    if ($("#popup_newsletter_type").html() == 'WordPress' ||
	    	$("#popup_newsletter_type").html() == 'MailChimp' ||
	    	$("#popup_newsletter_type").html() == 'aweber' ||
	    	$("#popup_newsletter_type").html() == 'getresponse' ||
	    	$("#popup_newsletter_type").html() == 'campaignmonitor' ||
	    	$("#popup_newsletter_type").html() == 'madmimi' ||
	    	$("#popup_newsletter_type").html() == 'infusionsoft' ||
	    	$("#popup_newsletter_type").html() == 'mymail' ||
	    	$("#popup_newsletter_type").html() == 'activecampaign') {

		    $('#' + wps_pf_data.prefix_dash + 'submit').append('<i style="margin-left: 10px;" class="' + wps_pf_data.prefix_dash + 'submit-spinner fa fa-spinner fa-spin"></i>');

		    event.preventDefault();

			var data = {
				'action': 'wps_pf_add_email',
				'popup_id': $('#' + wps_pf_data.prefix_dash + 'popup-id').attr('data-popup-id'),
				'type': $("#popup_newsletter_type").html(),
				'email': $('#' + wps_pf_data.prefix_dash + 'email').val(),
				'first_name': $('#' + wps_pf_data.prefix_dash + 'first_name').val(),
				'last_name': $('#' + wps_pf_data.prefix_dash + 'last_name').val(),
			};

			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			jQuery.post(wps_pf_data.ajaxurl, data, function(response) {

				response = jQuery.parseJSON(response);

				if (typeof(response.conversion) != 'undefined') {
					console.log(response.conversion);
				}

				if (response.success_action == 'redirect') {

					var win = window.open(response.url, '_self');
					win.focus();

				} else {
					$('.' + wps_pf_data.prefix_dash + 'message').html('<i class="fa fa-' + response.status + '"></i> ' + response.message).removeClass('hidden');

					// Dismiss popup on a successful entry

					if (response.status == 'check') {

						setTimeout(function() {
			           		$('.' + wps_pf_data.prefix_dash + 'wrap').bPopup().close();
						}, 3000);

					}
				}

				$('.' + wps_pf_data.prefix_dash + 'submit-spinner').remove();

			});

	    }
	});

	// Contact Us form

    $('#' + wps_pf_data.prefix_dash + 'contact-us').submit(function(event){


		$('#' + wps_pf_data.prefix_dash + 'submit').append('<i style="margin-left: 10px;" class="' + wps_pf_data.prefix_dash + 'submit-spinner fa fa-spinner fa-spin"></i>');

	    event.preventDefault();

		var data = {
			'action': 'wps_pf_send_email',
			'popup_id': $('#' + wps_pf_data.prefix_dash + 'popup-id').attr('data-popup-id'),
			'send': $('#' + wps_pf_data.prefix_dash + 'send').val(),
			'email': $('#' + wps_pf_data.prefix_dash + 'email').val(),
			'subject': $('#' + wps_pf_data.prefix_dash + 'subject').val(),
			'message': $('#' + wps_pf_data.prefix_dash + 'message').val(),
		};

		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		jQuery.post(wps_pf_data.ajaxurl, data, function(response) {

			response = jQuery.parseJSON(response);

			if (typeof(response.conversion) != 'undefined') {
				console.log(response.conversion);
			}

			if (response.success_action == 'redirect') {

				var win = window.open(response.url, '_self');
				win.focus();

			} else {
				$('.' + wps_pf_data.prefix_dash + 'message').html('<i class="fa fa-' + response.status + '"></i> ' + response.message).removeClass('hidden');

				// Dismiss popup on a successful entry

				if (response.status == 'check') {

					setTimeout(function() {
		           		$('.' + wps_pf_data.prefix_dash + 'wrap').bPopup().close();
					}, 3000);

				}
			}

			$('.' + wps_pf_data.prefix_dash + 'submit-spinner').remove();

		});
	});

	/**
	 *  Display a Popup
	 *
	 * @access public
	 * @return void
	 */
	function displayPopup(type) {

		// Display popup if it was from a button event

		if (type == 'button') {

			addStyling();

            $('.' + wps_pf_data.prefix_dash + 'wrap').bPopup({
	            modalClose: true,
	            opacity: 0.8,
	            positionStyle: 'fixed', //'fixed' or 'absolute'
	            onClose: function() { $('.' + wps_pf_data.prefix_dash + 'video-container iframe').attr('src', $('iframe').attr('src')); }
	        });

			//var video = videojs('#' + wps_pf_data.prefix_dash + 'video');
			//video.play();

			var data = {
				'action': 'wps_pf_record_impression',
				'popup_id': $('#' + wps_pf_data.prefix_dash + 'popup-id').attr('data-popup-id')
			};
			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			$.post(wps_pf_data.ajaxurl, data, function(response) {
				console.log(response);
			});

		}

		// Display popup if it hase not been displayed before

		else if (!popup_displayed) {

			addStyling();

            $('.' + wps_pf_data.prefix_dash + 'wrap').bPopup({
	            modalClose: true,
	            opacity: 0.8,
	            positionStyle: 'fixed', //'fixed' or 'absolute'
	            onClose: function() { $('.' + wps_pf_data.prefix_dash + 'video-container iframe').attr('src', $('iframe').attr('src')); }
	        });

			//var video = videojs('#' + wps_pf_data.prefix_dash + 'video');
			//video.play();

			var data = {
				'action': 'wps_pf_record_impression',
				'popup_id': $('#' + wps_pf_data.prefix_dash + 'popup-id').attr('data-popup-id')
			};
			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			$.post(wps_pf_data.ajaxurl, data, function(response) {
				console.log(response);
			});

			popup_displayed = true;
        }
	}

	/**
	 * Add the proper styling to the Popup
	 *
	 * @access public
	 * @return void
	 */
	function addStyling() {

		addGoogleFont();

		// Border Color

		$('.' + wps_pf_data.prefix_dash + 'container').css('border-color', wps_pf_data.border_color);
		//$('.' + wps_pf_data.prefix_dash + 'close').css('border-color', wps_pf_data.border_color);

		// Font Color and Family for Custom HTML template

		if (wps_pf_data.template == '4') {
			$('.' + wps_pf_data.prefix_dash + 'container').css('background-color', wps_pf_data.color);
			$('.' + wps_pf_data.prefix_dash + 'wrap').find('*')
				.css('color', wps_pf_data.text_color);
			$('.' + wps_pf_data.prefix_dash + 'container').find('*')
				.not('.' + wps_pf_data.prefix_dash + 'close')
				.not('i')
				.css('font-family', wps_pf_data.font_family);
		} else {
			$('.' + wps_pf_data.prefix_dash + 'container').css('background-color', wps_pf_data.color);
			$('.' + wps_pf_data.prefix_dash + 'wrap').find('*')
				.not('i')
				.not('.' + wps_pf_data.prefix_dash + 'icon')
				.not('.' + wps_pf_data.prefix_dash + 'title')
				.css('font-family', wps_pf_data.font_family);

			$('.' + wps_pf_data.prefix_dash + 'title').css('font-family', wps_pf_data.font_family_heading);

	        $('.' + wps_pf_data.prefix_dash + 'container').find('p')
	        	.css('font-size', wps_pf_data.font_size + 'px');
			$('.' + wps_pf_data.prefix_dash + 'container').find('p').css('font-weight', wps_pf_data.font_weight);
	        $('.' + wps_pf_data.prefix_dash + 'text').css('color', wps_pf_data.text_color);
	        $('.' + wps_pf_data.prefix_dash + 'title').css('color', wps_pf_data.text_color);
	        $('.' + wps_pf_data.prefix_dash + 'footer').css('color', wps_pf_data.text_color);
	        $('.' + wps_pf_data.prefix_dash + 'close').css('color', wps_pf_data.text_color);
		}

        // Social Icons

        $('.' + wps_pf_data.prefix_dash + 'icon').css('color', wps_pf_data.social_color);

        // News letter submit button

        $('#' + wps_pf_data.prefix_dash + 'submit').css('color', wps_pf_data.nl_color);
        $('#' + wps_pf_data.prefix_dash + 'submit').css('background-color', wps_pf_data.nl_bg_color);

        $('.' + wps_pf_data.prefix_dash + 'contact-us-button').css('color', wps_pf_data.cu_color);
        $('.' + wps_pf_data.prefix_dash + 'contact-us-button').css('background-color', wps_pf_data.cu_bg_color);

        // Yes / No buttons

        $('#' + wps_pf_data.prefix_dash + 'yes').css('color', wps_pf_data.yes_color);
        $('#' + wps_pf_data.prefix_dash + 'yes').css('background-color', wps_pf_data.yes_bg_color);
        $('#' + wps_pf_data.prefix_dash + 'no').css('color', wps_pf_data.no_color);
        $('#' + wps_pf_data.prefix_dash + 'no').css('background-color', wps_pf_data.no_bg_color);

        // Video

        $('#' + wps_pf_data.prefix_dash + 'video').css('width', $('.' + wps_pf_data.prefix_dash + 'container').width());
        $('#' + wps_pf_data.prefix_dash + 'video').css('height', $('.' + wps_pf_data.prefix_dash + 'container').height());

		if (wps_pf_data.template == '5' && $('.' + wps_pf_data.prefix_dash + 'footer').text() != '') {
			$('.' + wps_pf_data.prefix_dash + 'container').css('padding-bottom', '13px');
		}
	}

	/**
	 * Adds a google font
	 *
	 * @access public
	 * @return void
	 */
	function addGoogleFont() {

		if (wps_pf_data.google_fonts) {

			WebFont.load({
				google: {
				  families: [wps_pf_data.font_family, wps_pf_data.font_family_heading]
				}
			});

		}

	}
});

/*================================================================================
 * @name: bPopup - if you can't get it up, use bPopup
 * @author: (c)Bjoern Klinggaard (twitter@bklinggaard)
 * @demo: http://dinbror.dk/bpopup
 * @version: 0.10.0.min
 ================================================================================*/
 (function(b){b.fn.bPopup=function(z,F){function M(){a.contentContainer=b(a.contentContainer||c);switch(a.content){case "iframe":var d=b('<iframe class="b-iframe" '+a.iframeAttr+"></iframe>");d.appendTo(a.contentContainer);r=c.outerHeight(!0);s=c.outerWidth(!0);A();d.attr("src",a.loadUrl);k(a.loadCallback);break;case "image":A();b("<img />").load(function(){k(a.loadCallback);G(b(this))}).attr("src",a.loadUrl).hide().appendTo(a.contentContainer);break;default:A(),b('<div class="b-ajax-wrapper"></div>').load(a.loadUrl,a.loadData,function(c,d,e){k(a.loadCallback,d);G(b(this))}).hide().appendTo(a.contentContainer)}}function A(){a.modal&&b('<div class="b-modal '+e+'"></div>').css({backgroundColor:a.modalColor,position:"fixed",top:0,right:0,bottom:0,left:0,opacity:0,zIndex:a.zIndex+t}).appendTo(a.appendTo).fadeTo(a.speed,a.opacity);D();c.data("bPopup",a).data("id",e).css({left:"slideIn"==a.transition||"slideBack"==a.transition?"slideBack"==a.transition?f.scrollLeft()+u:-1*(v+s):l(!(!a.follow[0]&&m||g)),position:a.positionStyle||"absolute",top:"slideDown"==a.transition||"slideUp"==a.transition?"slideUp"==a.transition?f.scrollTop()+w:x+-1*r:n(!(!a.follow[1]&&p||g)),"z-index":a.zIndex+t+1}).each(function(){a.appending&&b(this).appendTo(a.appendTo)});H(!0)}function q(){a.modal&&b(".b-modal."+c.data("id")).fadeTo(a.speed,0,function(){b(this).remove()});a.scrollBar||b("html").css("overflow","auto");b(".b-modal."+e).unbind("click");f.unbind("keydown."+e);h.unbind("."+e).data("bPopup",0<h.data("bPopup")-1?h.data("bPopup")-1:null);c.undelegate(".bClose, ."+a.closeClass,"click."+e,q).data("bPopup",null);clearTimeout(I);H();return!1}function J(d){w=y.innerHeight||h.height();u=y.innerWidth||h.width();if(B=E())clearTimeout(K),K=setTimeout(function(){D();d=d||a.followSpeed;c.dequeue().each(function(){g?b(this).css({left:v,top:x}):b(this).animate({left:a.follow[0]?l(!0):"auto",top:a.follow[1]?n(!0):"auto"},d,a.followEasing)})},50)}function G(d){var b=d.width(),e=d.height(),f={};a.contentContainer.css({height:e,width:b});e>=c.height()&&(f.height=c.height());b>=c.width()&&(f.width=c.width());r=c.outerHeight(!0);s=c.outerWidth(!0);D();a.contentContainer.css({height:"auto",width:"auto"});f.left=l(!(!a.follow[0]&&m||g));f.top=n(!(!a.follow[1]&&p||g));c.animate(f,250,function(){d.show();B=E()})}function N(){h.data("bPopup",t);c.delegate(".bClose, ."+a.closeClass,"click."+e,q);a.modalClose&&b(".b-modal."+e).css("cursor","pointer").bind("click",q);O||!a.follow[0]&&!a.follow[1]||h.bind("scroll."+e,function(){B&&c.dequeue().animate({left:a.follow[0]?l(!g):"auto",top:a.follow[1]?n(!g):"auto"},a.followSpeed,a.followEasing)}).bind("resize."+e,function(){J()});a.escClose&&f.bind("keydown."+e,function(a){27==a.which&&q()})}function H(d){function b(e){c.css({display:"block",opacity:1}).animate(e,a.speed,a.easing,function(){L(d)})}switch(d?a.transition:a.transitionClose||a.transition){case "slideIn":b({left:d?l(!(!a.follow[0]&&m||g)):f.scrollLeft()-(s||c.outerWidth(!0))-C});break;case "slideBack":b({left:d?l(!(!a.follow[0]&&m||g)):f.scrollLeft()+u+C});break;case "slideDown":b({top:d?n(!(!a.follow[1]&&p||g)):f.scrollTop()-(r||c.outerHeight(!0))-C});break;case "slideUp":b({top:d?n(!(!a.follow[1]&&p||g)):f.scrollTop()+w+C});break;default:c.stop().fadeTo(a.speed,d?1:0,function(){L(d)})}}function L(b){b?(N(),k(F),a.autoClose&&(I=setTimeout(q,a.autoClose))):(c.hide(),k(a.onClose),a.loadUrl&&(a.contentContainer.empty(),c.css({height:"auto",width:"auto"})))}function l(a){return a?v+f.scrollLeft():v}function n(a){return a?x+f.scrollTop():x}function k(a,e){b.isFunction(a)&&a.call(c,e)}function D(){x=p?a.position[1]:Math.max(0,(w-c.outerHeight(!0))/2-a.amsl);v=m?a.position[0]:(u-c.outerWidth(!0))/2;B=E()}function E(){return w>c.outerHeight(!0)&&u>c.outerWidth(!0)}b.isFunction(z)&&(F=z,z=null);var a=b.extend({},b.fn.bPopup.defaults,z);a.scrollBar||b("html").css("overflow","hidden");var c=this,f=b(document),y=window,h=b(y),w=y.innerHeight||h.height(),u=y.innerWidth||h.width(),O=/OS 6(_\d)+/i.test(navigator.userAgent),C=200,t=0,e,B,p,m,g,x,v,r,s,K,I;c.close=function(){q()};c.reposition=function(a){J(a)};return c.each(function(){b(this).data("bPopup")||(k(a.onOpen),t=(h.data("bPopup")||0)+1,e="__b-popup"+t+"__",p="auto"!==a.position[1],m="auto"!==a.position[0],g="fixed"===a.positionStyle,r=c.outerHeight(!0),s=c.outerWidth(!0),a.loadUrl?M():A())})};b.fn.bPopup.defaults={amsl:50,appending:!0,appendTo:"body",autoClose:!1,closeClass:"b-close",content:"ajax",contentContainer:!1,easing:"swing",escClose:!0,follow:[!0,!0],followEasing:"swing",followSpeed:500,iframeAttr:'scrolling="no" frameborder="0"',loadCallback:!1,loadData:!1,loadUrl:!1,modal:!0,modalClose:!0,modalColor:"#000",onClose:!1,onOpen:!1,opacity:.7,position:["auto","auto"],positionStyle:"absolute",scrollBar:!0,speed:250,transition:"fadeIn",transitionClose:!1,zIndex:9997}})(jQuery);